ED(1)

NAZWA
ed, red - wierszowy edytor tekstu

SKŁADNIA
ed [opcje] [plik]

OPIS
GNU ed is a line-oriented text editor. It is used to create, display, modify and otherwise manipulate text files, both interactively and via shell scripts. A restricted version of ed, red, can only edit files in the current directory and cannot execute shell commands. Ed is the 'standard' text editor in the sense that it is the original editor for Unix, and thus widely available. For most purposes, however, it is superseded by full-screen editors such as GNU Emacs or GNU Moe.

OPCJE

-h, --help
    wyświetla ten tekst i kończy pracę

-V, --version
    wyświetla informacje o wersji i kończy działanie

-E, --extended-regexp
    używa rozszerzonych wyrażeń regularnych

-G, --traditional
    działa w trybie kompatybilności

-l, --loose-exit-status
    wychodzi z kodem zakończenia 0, nawet gdy polecenie się nie powiedzie

-p, --prompt=NAPIS
    Używa NAPISU jako znaku zachęty

-r, --restricted
    działa w trybie okrojonym

-s, --quiet, --silent
    wyłącza diagnostykę, zliczanie bajtów i znak zachęty "!"

-v, --verbose
    bardziej szczegółowe wyjście; ekwiwalent polecenia "H"

Zaczyna edycję od odczytu pliku. jeśli go podano. Jeśli plik zaczyna się od !, czyta wyjście polecenia powłoki.

Kod zakończenia: 0 dla normalnego wyjścia, 1 dla problemów technicznych (plik nieznaleziony, niewłaściwy parametr, błąd wejścia/wyjścia itp.), 2 dla zasygnalizowania błędnego lub uszkodzonego pliku wejściowego, 3 dla wewnętrznego błędu (np. bug), który zmusił ed do przerwania.

ZGŁASZANIE BŁĘDÓW
Błędy prosimy zgłaszać na adres bug-ed@gnu.org
Strona domowa Ed: http://www.gnu.org/software/ed/ed.html
Ogólna pomoc dotycząca oprogramowania GNU: http://www.gnu.org/gethelp

PRAWA AUTORSKIE
Copyright © 1994 Andrew L. Moore.
Copyright © 2021 Antonio Diaz Diaz. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja dla programu ed jest utrzymywana jako podręcznik Texinfo. Jeśli programy info oraz ed są właściwie zainstalowane, polecenie

    info ed

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.